Post by jbcul » Tue Aug 18, 2020 12:18 pm

I am running OC 1.5.6.4. Tonight I upgraded our server PhP from 5.4 to 7.1. I then uploaded the newest release of VQMod. Everything seems to be working properly (sigh of relief) except for the System Information area. I went into that area to view that indeed PhP version was 7.1 and I got an Invalid Token Session notification. I login again and click the PhP tab and get bumped back out to the login prompt. I've cleared browser cache, restarted my browser, all to no avail.

This seems to be the only place where I'm experiencing the issue.

I did have to replace the encryption.php file with a newer version from this forum but that proved to be a correcting measure, fixing all the errors. I'm now getting no errors in the error log, just this prompt to re-login to view the echothemes system information.

Any ideas?
Thanks
jc

Active Member

Posts

Joined
Fri Feb 01, 2013 9:18 am

Post by IP_CAM » Tue Aug 18, 2020 4:21 pm

Well, try the one enclosed, I only had to remove that 'Magic-Quote' Code, and the 'mysql' - check,
to make it work error-free with my 1.5.6.5_rc based Version. And better use a higher PHP Version,
PHP v.7.1 is out for some time already.
Ernie

Attachments

system_information.png

system_information.png (52.51 KiB) Viewed 494 times


Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'600+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by jbcul » Tue Aug 18, 2020 10:56 pm

Thank you. I'll test it today and report back.

Also, on the PhP. When I did the upgrade to the deprecated 7.1 it was because that was the highest offered. I called the hosting company and they can upgrade my server to 7.4 or 7.5 and I'll get to install those. Should only be a few days. Once again it pays to read the fine print and thank you for asking about 7.1 because I would likely have been content with that, being a good deal higher than 5.4.

Active Member

Posts

Joined
Fri Feb 01, 2013 9:18 am

Post by IP_CAM » Wed Aug 19, 2020 3:07 am

Well, as you can see on the Image I added above, and by use
of OC v.1.5.6.5_rc, it works flawless up to the latest PHP 7.4.12
Version, probably one of the last v.7.x Version made, before PHP v.8.x
will take over. And 1.5.6.5_rc is basically only a slightly 'fixed'
Version 1.5.6.4, as you can find out here:
https://github.com/opencart/opencart/bl ... angelog.md

You should therefore tell your Hoster, to make PHP v.7.4.12 available
for you, to be sure, to have the most solid PHP 7 Version available, and
your Shop will be able to work for a few Years to come, even under the
Aspect, that it would possibly not be able, to handle PHP v.8 anymore.
Good Luck! ;)
Ernie

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'600+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by jbcul » Wed Aug 19, 2020 3:36 am

Thank you again. I have figure out what to do with the files you sent me and can do that tonight after my real job ends. I really appreciate your help.
john

Active Member

Posts

Joined
Fri Feb 01, 2013 9:18 am

Post by jbcul » Wed Aug 19, 2020 8:20 am

Works like a charm, thanks.

Active Member

Posts

Joined
Fri Feb 01, 2013 9:18 am

Post by IP_CAM » Thu Aug 20, 2020 5:47 pm

Good for you ! ;)
And for others, interested, to get this nice tool, I created an Download, containing all of the last
Versions of this fine Tool, ranging from OC 1.5.6.x up to OC v.2.3.0.x, it can be downloaded here:
http://www.ipc.li/os/system-information-master.zip
But note, that the early OC-2.0.x Version Mod also contains a VqMod-supported Routine,
besides of the OcMod, so, make sure, not to upload BOTH VqMod and OcMod Extensions to the Server...
---
And you might also have to remove the 'Magic-Quote' Code, and the 'mysql' - check on lower OC Version
Mods, to make it work as planned, if you download the 'originalcode' below. ;)
Ernie
http://web.archive.org/web/201307240141 ... ation.html
---
Image
---
Download:
http://www.ipc.li/os/system-information-master.zip

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'600+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 13 guests